Home Home > GIT Browse > linux-next
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorKernel Build Daemon <kbuild@suse.de>2019-08-08 12:02:17 +0200
committerKernel Build Daemon <kbuild@suse.de>2019-08-08 12:02:17 +0200
commit4ced28183db12b57d25a7ff04b3db538672a98ac (patch)
tree837fb8c343f985813e433a1a5f43a01e7d969a48
parent983cde3d1b0a0e92424d02ceb0ce2d0076575754 (diff)
parente1353be651631a960957d82b948f613095816c46 (diff)
Merge branch 'scripts' into linux-next
-rw-r--r--scripts/git_sort/README.md2
-rwxr-xr-xscripts/run_oldconfig.sh3
2 files changed, 4 insertions, 1 deletions
diff --git a/scripts/git_sort/README.md b/scripts/git_sort/README.md
index b9881372cd..09b09cf3a7 100644
--- a/scripts/git_sort/README.md
+++ b/scripts/git_sort/README.md
@@ -29,7 +29,7 @@ copy.
Packages are available in the following OBS project
https://build.opensuse.org/package/show/home:benjamin_poirier:series_sort/quilt-ks
Source is avaible from
-https://gitlab.suse.de/benjamin_poirier/quilt
+https://github.com/gobenji/quilt
The packages in home:benjamin_poirier:series_sort are signed with the key
from home:benjamin_poirier which has the following fingerprint:
diff --git a/scripts/run_oldconfig.sh b/scripts/run_oldconfig.sh
index c3c0651ab8..fb49596553 100755
--- a/scripts/run_oldconfig.sh
+++ b/scripts/run_oldconfig.sh
@@ -455,6 +455,9 @@ for config in $config_files; do
else
config_base="$(dirname "$config")/default"
fi
+ if ! [ -f "$config_base" ] && [ -n "$VARIANT" ] ; then
+ config_base="$(dirname "$config")/${VARIANT#-}"
+ fi
${scripts}/config-merge "$config_base" "$config" >$config_orig
else
cp "$config" $config_orig